#ifndef CONFIG_H
#define CONFIG_H

#include "definesRCX.h"

/**
 * flag for textoutput
 */
//#define TEXTOUTPUT
#ifdef TEXTOUTPUT
	/**
	* flag for extra debug infos in textoutput
	*/
	#define TEXTDEBUG
	#ifdef TEXTDEBUG
		#include <stdio.h>
	#endif
#endif

using compress::BYTE;
using compress::MAX_BYTE;

using compress::UINT8;
using compress::MAX_UINT8;

using compress::UINT16;
using compress::MAX_UINT16;

using compress::UINT32;
using compress::MAX_UINT32;

using compress::UINTMAX;
using compress::MAX_UINTMAX;

using compress::MAX_STACKMEMORY;


/**
 * flag which signalize, if there is dynamic memory
 */
//#define DYNAMIC_MEMORY
#ifdef DYNAMIC_MEMORY

#define DYNAMIC_MEMORY_INCSIZE 0xFFFFF
#include <stdlib.h>

#define MEMORYCHECK(bool) \
if(bool) \
{ \
	outputBufferSize += DYNAMIC_MEMORY_INCSIZE; \
	outputBuffer = (BYTE*) realloc (outputBuffer, outputBufferSize); \
}
#else
#define MEMORYCHECK(bool) \
if(bool) \
{ \
	return 0; \
}
#endif //DYNAMIC_MEMORY


#endif

	//#ifdef TEXTDEBUG 
	//fprintf(stderr, "need more memory for outputbuffer\n"); 
	//#endif 
	//#ifdef TEXTOUTPUT
	//fprintf(stderr, "\nPANIC! - need more memory for outputbuffer\n");
	//#endif
