#include "compress/libs/BitField.h"

void BitField::writeBits(UINTMAX bits, BYTE bitCount)
{
	for(BYTE bitPos = 0; bitPos < bitCount; bitPos++)
	{
		if(currBit == 8)
		{
			currBit = 0;
			currPos++;
			byteArray[currPos] = 0;
		}
	
		byteArray[currPos]	|=	((bits >> (bitCount - 1 - bitPos)) & 1) << (7 - currBit);
		
		currBit++;
	}
}

UINTMAX BitField::readBits(BYTE bitCount)
{
	UINTMAX bits = 0;
	for(BYTE bitPos = 0; bitPos < bitCount; bitPos++)
	{
		if(currBit == 8)
		{
			currBit = 0;
			currPos++;
		}
	
		bits	<<=	1;
		bits 	|= (byteArray[currPos] >> (7 - currBit)) & 1;

		currBit++;
	}
	
	return  bits;
}
