/*
 *  STD
 * 
 *	Revision:	$Id:$
 *	Author:	 Steffen Schulze
 *
 *	Description:	basic implementation of string.h std
 *			
 *	Note:		
 *			
 *
 *	(c) Steffen Schulze, BTU Cottbus 2005
 */

#include "std/string.h" 

namespace std {

extern "C" void *memcpy(void *dest, const void *src, size_t n)
{
	//const char* cp = (const char*)src;
	char* cp = (char*)src;
	char* dp = (char*)dest;
	
	for (unsigned i = 0; i < n; i++) {
		*dp++ = *cp++;
	}
	return dest;
}

extern "C" void *memset(void *dest, int c, size_t n)
{
	char* dp = (char*)dest;
	
	for (unsigned i = 0; i < n; i++) {
		*dp++ = (char)c;
	}
	return dest;
}

} //namespace std
